<?php

namespace AutoAdmin\Bundle\Content\Duplicator;

use AutoAdmin\Bundle\Content\Model\SiteInterface;

class SiteDuplicator extends AbstractDuplicator
{
    /**
     * @return string[]
     */
    public function supportInterfaces(): array
    {
        return [
            SiteInterface::class
        ];
    }

    /**
     * @param SiteInterface $entity
     * @param SiteInterface $duplicate
     *
     * @return SiteInterface
     */
    public function duplicate(object $entity, object $duplicate, ?object $parent = null): object
    {
        $duplicate->setSite($entity->getSite());

        return $duplicate;
    }
}
